# RCSIDENT("$SiLK: build.mk 14157 2009-04-28 13:28:30Z mthomas $")

# Local rules

clean-local: clean-remove-man clean-remove-tests-output


# Rules to build (and clean) the manual pages (troff) from the Perl
# POD (Plain Old Documentation) source files
#
POD2MAN_ARGS = --center="SiLK Tool Suite" --release="$(PACKAGE_STRING)"

.pod.man:
	$(POD2MAN) $(POD2MAN_ARGS) $< > $@
.pod.1:
	$(POD2MAN) --section=1 $(POD2MAN_ARGS) $< > $@
.pod.2:
	$(POD2MAN) --section=2 $(POD2MAN_ARGS) $< > $@
.pod.3:
	$(POD2MAN) --section=3 $(POD2MAN_ARGS) $< > $@
.pod.5:
	$(POD2MAN) --section=5 $(POD2MAN_ARGS) $< > $@
.pod.7:
	$(POD2MAN) --section=7 $(POD2MAN_ARGS) $< > $@
.pod.8:
	$(POD2MAN) --section=8 $(POD2MAN_ARGS) $< > $@

clean-remove-man:
	-$(RM) -f $(man1_MANS) $(man2_MANS) $(man3_MANS) $(man5_MANS) $(man7_MANS) $(man8_MANS)

clean-remove-tests-output:
	-$(RM) -f $(SILK_TESTS_OUTPUT)

# Rules to install the .conf files into $(prefix)/share/silk/etc/
#
conf_file_dir = $(pkgdatadir)/etc

install-conf-files: $(conf_files)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(conf_file_dir)
	@list='$(conf_files)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's,^.*/,,;$(transform)'`"; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(conf_file_dir)/$$f"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(conf_file_dir)/$$f; \
	done

uninstall-conf-files:
	@$(NORMAL_UNINSTALL)
	@list='$(conf_files)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's,^.*/,,;$(transform)'`"; \
	  echo " rm -f $(DESTDIR)$(conf_file_dir)/$$f"; \
	  rm -f $(DESTDIR)$(conf_file_dir)/$$f; \
	done


# Rules to install the .init.d files into $(prefix)/share/silk/etc/init.d/
#
init_d_scripts_dir = $(pkgdatadir)/etc/init.d

install-init-d-scripts: $(init_d_scripts)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(init_d_scripts_dir)
	@list='$(init_d_scripts)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's,^.*/,,;s,\.init\.d$$,,;$(transform)'`"; \
	  echo " $(INSTALL_SCRIPT) $$d$$p $(DESTDIR)$(init_d_scripts_dir)/$$f"; \
	  $(INSTALL_SCRIPT) $$d$$p $(DESTDIR)$(init_d_scripts_dir)/$$f; \
	done

uninstall-init-d-scripts:
	@$(NORMAL_UNINSTALL)
	@list='$(init_d_scripts)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's,^.*/,,;s,\.init\.d$$,,;$(transform)'`"; \
	  echo " rm -f $(DESTDIR)$(init_d_scripts_dir)/$$f"; \
	  rm -f $(DESTDIR)$(init_d_scripts_dir)/$$f; \
	done
