#! /usr/bin/perl -w
# MD5: ca650f5ea22b234ac67a890a9d2e4489
# TEST: ./rwstats --fields=dcc --values=dip-distinct --ipv6=ignore --count=10 --no-percent ../../tests/data.rwf

use strict;
use SiLKTests;

my $rwstats = $ENV{RWSTATS} || './rwstats';
my %file;
$file{data} = get_data_or_exit77('data');
$file{fake_cc} = get_data_or_exit77('fake_cc');
$ENV{SILK_COUNTRY_CODES} = "$SiLKTests::PWD/$file{fake_cc}";

for my $L (qw(LD_LIBRARY_PATH DYLD_LIBRARY_PATH LIBPATH SHLIB_PATH)) {
    if ($ENV{$L}) {
        $ENV{$L} = '../libccfilter:../libccfilter/.libs:'.$ENV{$L};
    }
    else {
        $ENV{$L} = '../libccfilter:../libccfilter/.libs';
    }
}


exit 77 if sub { return 1 != check_app_switch($rwstats, 'fields', qr/\bscc\b/); }->();

my $cmd = "$rwstats --fields=dcc --values=dip-distinct --ipv6=ignore --count=10 --no-percent $file{data}";
my $md5 = "ca650f5ea22b234ac67a890a9d2e4489";

check_md5_output($md5, $cmd);
