#! /usr/bin/perl -w
# MD5: 1d217c424eb270813aca9d0c3e579b1d
# TEST: ./rwstats --python-file=../../tests/pysilk-plugin.py --fields=lower_port --value=bytes --count=10 --no-percent ../../tests/data.rwf

use strict;
use SiLKTests;

my $rwstats = $ENV{RWSTATS} || './rwstats';
my %file;
$file{data} = get_data_or_exit77('data');
$file{pysilk_plugin} = get_data_or_exit77('pysilk_plugin');
$ENV{PYTHONPATH} = $SiLKTests::testsdir.((defined $ENV{PYTHONPATH}) ? ":$ENV{PYTHONPATH}" : "");

for my $L (qw(LD_LIBRARY_PATH DYLD_LIBRARY_PATH LIBPATH SHLIB_PATH)) {
    if ($ENV{$L}) {
        $ENV{$L} = '../pysilk:../pysilk/.libs:'.$ENV{$L};
    }
    else {
        $ENV{$L} = '../pysilk:../pysilk/.libs';
    }
}


exit 77 if sub { return !check_exit_status(qq|$rwstats --python-file=$file{pysilk_plugin} --help|); }->();

my $cmd = "$rwstats --python-file=$file{pysilk_plugin} --fields=lower_port --value=bytes --count=10 --no-percent $file{data}";
my $md5 = "1d217c424eb270813aca9d0c3e579b1d";

check_md5_output($md5, $cmd);
