#! /usr/bin/perl -w
# MD5: cf71295afdc2d2c677de915dc96514fd
# TEST: ./rwuniq --fields=scc --values=sip-distinct --ipv6=ignore --sort-output ../../tests/data.rwf

use strict;
use SiLKTests;

my $rwuniq = $ENV{RWUNIQ} || './rwuniq';
my %file;
$file{data} = get_data_or_exit77('data');
$file{fake_cc} = get_data_or_exit77('fake_cc');
$ENV{SILK_COUNTRY_CODES} = "$SiLKTests::PWD/$file{fake_cc}";

for my $L (qw(LD_LIBRARY_PATH DYLD_LIBRARY_PATH LIBPATH SHLIB_PATH)) {
    if ($ENV{$L}) {
        $ENV{$L} = '../libccfilter:../libccfilter/.libs:'.$ENV{$L};
    }
    else {
        $ENV{$L} = '../libccfilter:../libccfilter/.libs';
    }
}


exit 77 if sub { return 1 != check_app_switch($rwuniq, 'fields', qr/\bscc\b/); }->();

my $cmd = "$rwuniq --fields=scc --values=sip-distinct --ipv6=ignore --sort-output $file{data}";
my $md5 = "cf71295afdc2d2c677de915dc96514fd";

check_md5_output($md5, $cmd);
